CS::Geometry::TesselatedBox Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Geometry::TesselatedBox Class Reference

A Tesselated box. More...

`#include <cstool/genmeshbuilder.h>`

Inheritance diagram for CS::Geometry::TesselatedBox:

List of all members.

## Public Member Functions
virtual void | Append (iGeneralFactoryState *state)
| Append this primitive to the given factory.
virtual bool | Append (iMeshFactoryWrapper *factory)
| Append this primitive to the given factory.
uint32 | GetFlags () const
| Get the flags.
int | GetLevel () const
| Get the tesselation level.
void | SetFlags (uint32 flags)
| Set the flags.
void | SetLevel (int level)
| Set the tesselation level for this box. Default is 1.
void | SetMapper (TextureMapper *mapper)
| Set the mapper.
| TesselatedBox (const csBox3 &box)
| Generate a tesselated box so the normals of every face point inwards or outwards (the normals of the vertices belonging to a face will point with the correct normal of the face).
| TesselatedBox (const csVector3 &v1, const csVector3 &v2)
| Generate a tesselated box so the normals of every face point inwards or outwards (the normals of the vertices belonging to a face will point with the correct normal of the face).

## Detailed Description

A Tesselated box.

Definition at line 113 of file genmeshbuilder.h.

## Constructor & Destructor Documentation

CS::Geometry::TesselatedBox::TesselatedBox | ( | const csBox3 & | box | ) | `[inline]`

Generate a tesselated box so the normals of every face point inwards or outwards (the normals of the vertices belonging to a face will point with the correct normal of the face).

Definition at line 129 of file genmeshbuilder.h.

CS::Geometry::TesselatedBox::TesselatedBox | ( | const csVector3 & | v1,
|  | const csVector3 & | v2
| ) |  | `[inline]`

Generate a tesselated box so the normals of every face point inwards or outwards (the normals of the vertices belonging to a face will point with the correct normal of the face).

Definition at line 138 of file genmeshbuilder.h.

## Member Function Documentation

virtual void CS::Geometry::TesselatedBox::Append | ( | iGeneralFactoryState * | factory | ) | `[virtual]`

Append this primitive to the given factory.

Implements CS::Geometry::Primitive.

virtual bool CS::Geometry::TesselatedBox::Append | ( | iMeshFactoryWrapper * | factory | ) | `[inline, virtual]`

Append this primitive to the given factory.

Returns false if the primitive is not a genmesh.

Reimplemented from CS::Geometry::Primitive.

Definition at line 173 of file genmeshbuilder.h.

uint32 CS::Geometry::TesselatedBox::GetFlags | ( |  | ) | const`[inline]`

Get the flags.

Definition at line 170 of file genmeshbuilder.h.

int CS::Geometry::TesselatedBox::GetLevel | ( |  | ) | const`[inline]`

Get the tesselation level.

Definition at line 148 of file genmeshbuilder.h.

void CS::Geometry::TesselatedBox::SetFlags | ( | uint32 | flags | ) | `[inline]`

Set the flags.

These are a combination of csPrimitives::BoxFlags enumeration values. CS_PRIMBOX_SMOOTH is not supported here. Default is 0.

Definition at line 164 of file genmeshbuilder.h.

void CS::Geometry::TesselatedBox::SetLevel | ( | int | level | ) | `[inline]`

Set the tesselation level for this box. Default is 1.

Definition at line 145 of file genmeshbuilder.h.

void CS::Geometry::TesselatedBox::SetMapper | ( | TextureMapper * | mapper | ) | `[inline]`

Set the mapper.

Default mapper is Primitives::DensityTextureMapper with density 1.

Definition at line 154 of file genmeshbuilder.h.

The documentation for this class was generated from the following file:

- cstool/genmeshbuilder.h